| Earth Observation Mission CFI Software Visibility Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.ZoneInfo Class Reference

Class to store information of a zone. More...

Inheritance diagram for EECFI.ZoneInfo:

List of all members.

## Public Member Functions
| ZoneInfo ()
| Empty Class constructor.
| ZoneInfo (String zoneIdIn, String zoneDBIn, long projIn, double durIn)
| Parameter constructor.
| ZoneInfo (ZoneRec zoneIn, long projIn, double durIn)
| Parameter constructor (for ZoneRec, reference is copied).
| ZoneInfo (ZoneInfo zone)
| Copy constructor (for ZoneRec, reference is copied).
## Public Attributes
String | zoneId
| Zone name (used if type = XVCFI_USE_ZONE_DB_FILE).
long | type
| See XVZoneTypeEnum.
String | zoneDBFilename
| Zone file database (used if type = XVCFI_USE_ZONE_DB_FILE).
ZoneRec | zoneData
| Zone data (used if type = XVCFI_USE_ZONE_DATA).
long | projection
| See ProjectionEnum.
double | minDuration
| Minimum duration of segments (seconds).

## Detailed Description

Class to store information of a zone.

## Constructor & Destructor Documentation

EECFI.ZoneInfo.ZoneInfo | ( |  | ) |

Empty Class constructor.

EECFI.ZoneInfo.ZoneInfo | ( | String | zoneIdIn,
|  | String | zoneDBIn,
|  | long | projIn,
|  | double | durIn |
| ) |  |  |

Parameter constructor.

EECFI.ZoneInfo.ZoneInfo | ( | ZoneRec | zoneIn,
|  | long | projIn,
|  | double | durIn |
| ) |  |  |

Parameter constructor (for ZoneRec, reference is copied).

EECFI.ZoneInfo.ZoneInfo | ( | ZoneInfo | zone | ) |

Copy constructor (for ZoneRec, reference is copied).

## Member Data Documentation

double EECFI.ZoneInfo.minDuration

Minimum duration of segments (seconds).

long EECFI.ZoneInfo.projection

See ProjectionEnum.

long EECFI.ZoneInfo.type

See XVZoneTypeEnum.

ZoneRec EECFI.ZoneInfo.zoneData

Zone data (used if type = XVCFI_USE_ZONE_DATA).

String EECFI.ZoneInfo.zoneDBFilename

Zone file database (used if type = XVCFI_USE_ZONE_DB_FILE).

String EECFI.ZoneInfo.zoneId

Zone name (used if type = XVCFI_USE_ZONE_DB_FILE).